matfile ='R:\linlab\linlabspace\Paper Raw Data\2023_NatureNeuro_Wei\Fig 5_MPOA chemogenetics_VMHvl_GCaMP\011321_1222_Mcherryfreemove_saline 10-22-12_by LS.mat'; 
AnnFileB ='R:\linlab\linlabspace\Paper Raw Data\2023_NatureNeuro_Wei\Fig 5_MPOA chemogenetics_VMHvl_GCaMP\011321_1222_Mcherryfreemove_saline 10-22-12_by LS.txt'; 

load(matfile);
[Fstart, Fstop, behaviors] = inputtext(AnnFileB);
W = @(x) min(x, floor(length(Lfilter)/FL/3));
Lflat = zeros(size(Lfilter));
Lflat(ceil(10*FL):end) = msbackadj((ceil(10*FL)/FL:1/FL:length(Lfilter)/FL)', Lfilter(ceil(10*FL):end)', 'StepSize', W, 'windowsize', W,'SHOWPLOT',0);
Lbackground = Lfilter-Lflat;
figure; plot(Lfilter); hold on; plot(Lbackground)

%calculate the average signal before and 10min after injection.
bef_id = find(strcmp(behaviors, {'baseline'}));
mean_before = mean(Lflat(ceil(t(Fstart(bef_id(1)))*FL+1):ceil(t(Fstop(bef_id(1)))*FL)))
aft_id = find(strcmp(behaviors, {'baselineafterinjection'}));
mean_after = mean(Lflat(ceil((t(Fstart(aft_id(1)))+600)*FL):ceil(t(Fstop(aft_id(1)))*FL)))

figure; bar([mean_before, mean_after])
xticklabels({'before','after'})
